Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwayDiagramViewBuilder

    biouml.model.DefaultDiagramViewBuilder
      |
      +--biouml.standard.diagram.PathwayDiagramViewBuilder

Direct Known Subclasses:
  GeneNetworkDiagramType.GeneNetworkDiagramViewBuilder, MetabolicPathwayDiagramType.MetabolicPathwayDiagramViewBuilder, PathwaySimulationDiagramViewBuilder, SemanticNetworkDiagramType.SemanticNetworkDiagramViewBuilder

public class PathwayDiagramViewBuilder
extends DefaultDiagramViewBuilder

Default implementation of `DiagramViewBuilder`.

Method Summary
`DiagramViewOptions` | `createDefaultDiagramViewOptions()`
`CompositeView` | `createDiagramView(Diagram diagram, Graphics g)`
`CompositeView` | `createEdgeView(Edge edge, DiagramViewOptions viewOptions, Graphics g)`
`CompositeView` | `createEquivalentNodeGroupView(EquivalentNodeGroup group, DiagramViewOptions options, Graphics g)`
`CompositeView` | `createNodeView(Node node, DiagramViewOptions options, Graphics g)`
`void` | `createReactionTitles(Compartment compartment, DiagramViewOptions diagramOptions, Graphics g)`
`CompositeView` | `createSemanticRelationView(Edge edge, PathwayDiagramViewOptions viewOptions, Graphics g)`
`void` | `locateReaction(Node reactionNode, DiagramViewOptions options, Graphics g)` Locate reaction.

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`calcAttachmentPoints, createCompartmentView, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Method Detail

### createDefaultDiagramViewOptions

    public DiagramViewOptions createDefaultDiagramViewOptions()

### createDiagramView

    public CompositeView createDiagramView(Diagram diagram, Graphics g)

### createEdgeView

    public CompositeView createEdgeView(Edge edge, DiagramViewOptions viewOptions, Graphics g)

  pending high take initial ports into account

### createEquivalentNodeGroupView

    public CompositeView createEquivalentNodeGroupView(EquivalentNodeGroup group, DiagramViewOptions options, Graphics g)

### createNodeView

    public CompositeView createNodeView(Node node, DiagramViewOptions options, Graphics g)

### createReactionTitles

    public void createReactionTitles(Compartment compartment, DiagramViewOptions diagramOptions, Graphics g)

### createSemanticRelationView

    public CompositeView createSemanticRelationView(Edge edge, PathwayDiagramViewOptions viewOptions, Graphics g)

### locateReaction

    public void locateReaction(Node reactionNode, DiagramViewOptions options, Graphics g)

  Locate reaction.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM